//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class DeliveryMethod
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public DeliveryMethod()
        {
            this.Orders = new HashSet<Order>();
        }
    
        public int DeliveryMethodId { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public Nullable<decimal> Cost { get; set; }
        public bool RequiresData { get; set; }
        public bool Active { get; set; }
        public string ExcludedPaymetnMethods { get; set; }
        public bool IsTransport { get; set; }
        public bool ShowLocales { get; set; }
        public bool IsLocal { get; set; }
        public bool IsProvince { get; set; }
        public bool Enabled { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Order> Orders { get; set; }
    }
}
